play.libs.ws

## Class WSAsync.HttpAsyncResponse

- java.lang.Object
- - play.libs.WS.HttpResponse
  - - play.libs.ws.WSAsync.HttpAsyncResponse

- Enclosing class:
    WSAsync

      public static class WSAsync.HttpAsyncResponse
      extends WS.HttpResponse

  An HTTP response wrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpAsyncResponse(com.ning.http.client.Response response)` You shouldn't have to create an HttpResponse yourself

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHeader(java.lang.String key)`
    `java.util.List<Http.Header>` | `getHeaders()`
    `java.lang.Integer` | `getStatus()` The HTTP status code
    `java.lang.String` | `getStatusText()` the HTTP status text
    `java.io.InputStream` | `getStream()` get the response as a stream
    `java.lang.String` | `getString()` get the response body as a string
    `java.lang.String` | `getString(java.lang.String encoding)` get the response body as a string

    - ### Methods inherited from class play.libs.WS.HttpResponse

      `getContentType, getEncoding, getJson, getQueryString, getXml, getXml, getXml, getXml, success`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpAsyncResponse

          public HttpAsyncResponse(com.ning.http.client.Response response)

      You shouldn't have to create an HttpResponse yourself
      Parameters:
        `response` - The given response

  - ### Method Detail

    - #### getStatus

          public java.lang.Integer getStatus()

      The HTTP status code
      Specified by:
        `getStatus` in class `WS.HttpResponse`
      Returns:
        the status code of the http response

    - #### getStatusText

          public java.lang.String getStatusText()

      the HTTP status text
      Specified by:
        `getStatusText` in class `WS.HttpResponse`
      Returns:
        the status text of the http response

    - #### getHeader

          public java.lang.String getHeader(java.lang.String key)

      Specified by:
        `getHeader` in class `WS.HttpResponse`

    - #### getHeaders

          public java.util.List<Http.Header> getHeaders()

      Specified by:
        `getHeaders` in class `WS.HttpResponse`

    - #### getString

          public java.lang.String getString()

      Description copied from class: `WS.HttpResponse`
      get the response body as a string
      Specified by:
        `getString` in class `WS.HttpResponse`
      Returns:
        the body of the http response

    - #### getString

          public java.lang.String getString(java.lang.String encoding)

      Description copied from class: `WS.HttpResponse`
      get the response body as a string
      Specified by:
        `getString` in class `WS.HttpResponse`
      Parameters:
        `encoding` - string charset encoding
      Returns:
        the body of the http response

    - #### getStream

          public java.io.InputStream getStream()

      get the response as a stream
      Specified by:
        `getStream` in class `WS.HttpResponse`
      Returns:
        an inputstream

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly